summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--academic/isoelectric-point/README3
-rw-r--r--academic/isoelectric-point/doinst.sh3
-rw-r--r--academic/isoelectric-point/isoelectric-point.SlackBuild90
-rw-r--r--academic/isoelectric-point/isoelectric-point.desktop7
-rw-r--r--academic/isoelectric-point/isoelectric-point.info10
-rw-r--r--academic/isoelectric-point/slack-desc19
6 files changed, 132 insertions, 0 deletions
diff --git a/academic/isoelectric-point/README b/academic/isoelectric-point/README
new file mode 100644
index 0000000000..63a0bfd36f
--- /dev/null
+++ b/academic/isoelectric-point/README
@@ -0,0 +1,3 @@
+A small application to calculate the isoelectric point of a protein
+from its amino acid sequence. Additionally the program outputs the
+molecular weight of the protein analysed.
diff --git a/academic/isoelectric-point/doinst.sh b/academic/isoelectric-point/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/isoelectric-point/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/isoelectric-point/isoelectric-point.SlackBuild b/academic/isoelectric-point/isoelectric-point.SlackBuild
new file mode 100644
index 0000000000..5fcd4ee9cc
--- /dev/null
+++ b/academic/isoelectric-point/isoelectric-point.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for isoelectric-point
+# Written by Petar Petrov, <ppetrov@paju.oulu.fi> and
+# hereby submitted to the public domain
+
+# THIS SLACKBUILD IS DISTRIBUTETD IN THE HOPE OF BEING
+# USEFUL BUT WITHOUT ANY WARRANTY. THE AUTHOR IS _NOT_
+# RESPONSIBLE FOR ANY DAMAGE OR DATA LOSS CAUSED BY IT.
+
+PRGNAM=isoelectric-point
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-linux
+tar xvf $CWD/$PRGNAM-linux.tar.gz
+cd $PRGNAM-linux
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd ./sources
+qmake -project
+qmake
+
+# Use our CFLAGS
+sed -i "/^C.*.*FLAGS/s/=/+=/" Makefile
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make
+
+# Weird name for the binary, let's change it
+install -D -m755 sources $PKG/usr/bin/isoelectric-point
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Menu item and icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
+cp ./icons/ip_64.png $PKG/usr/share/pixmaps/isoelectric-point.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/isoelectric-point/isoelectric-point.desktop b/academic/isoelectric-point/isoelectric-point.desktop
new file mode 100644
index 0000000000..ff4afb4ac8
--- /dev/null
+++ b/academic/isoelectric-point/isoelectric-point.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Categories=Education;
+Exec=isoelectric-point
+Icon=isoelectric-point.png
+Name=Isoelectric Point Calculator
+StartupNotify=false
+Type=Application
diff --git a/academic/isoelectric-point/isoelectric-point.info b/academic/isoelectric-point/isoelectric-point.info
new file mode 100644
index 0000000000..d60e71384a
--- /dev/null
+++ b/academic/isoelectric-point/isoelectric-point.info
@@ -0,0 +1,10 @@
+PRGNAM="isoelectric-point"
+VERSION="1.0"
+HOMEPAGE="http://isoelectric.ovh.org/"
+DOWNLOAD="http://isoelectric.ovh.org/files/isoelectric-point-linux.tar.gz"
+MD5SUM="7c2ab92babad116c586f9dc21659d306"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="Niels Horn"
diff --git a/academic/isoelectric-point/slack-desc b/academic/isoelectric-point/slack-desc
new file mode 100644
index 0000000000..836443d492
--- /dev/null
+++ b/academic/isoelectric-point/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+isoelectric-point: isoelectric-point (Isoelectric point calculator)
+isoelectric-point:
+isoelectric-point: A small application to calculate the isoelectric point of a
+isoelectric-point: protein. Additionally it outputs the molecular weight of the protein
+isoelectric-point: analysed.
+isoelectric-point:
+isoelectric-point:
+isoelectric-point:
+isoelectric-point:
+isoelectric-point:
+isoelectric-point: Home: http://isoelectric.ovh.org/